Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.cnd
Enum QueryOperator

    java.lang.Object
      java.lang.Enum<QueryOperator>
          org.modeshape.cnd.QueryOperator

All Implemented Interfaces:
  Serializable, Comparable<QueryOperator>

    public enum QueryOperator

extends Enum<QueryOperator>

Enumeration of the query operators allowed in a CND file.

Enum Constant Summary
`EQUAL`
`GREATER_THAN`
`GREATER_THAN_OR_EQUALS`
`LESS_THAN`
`LESS_THAN_OR_EQUALS`
`LIKE`
`NOT_EQUAL`

Method Summary
`static QueryOperator` | `forText(String text)`
`String` | `getText()`
`static Iterator<QueryOperator>` | `iterator()` Return an iterator over all the operator enumeration literals.
`static QueryOperator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QueryOperator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EQUAL

    public static final QueryOperator EQUAL

### NOT_EQUAL

    public static final QueryOperator NOT_EQUAL

### LESS_THAN

    public static final QueryOperator LESS_THAN

### LESS_THAN_OR_EQUALS

    public static final QueryOperator LESS_THAN_OR_EQUALS

### GREATER_THAN

    public static final QueryOperator GREATER_THAN

### GREATER_THAN_OR_EQUALS

    public static final QueryOperator GREATER_THAN_OR_EQUALS

### LIKE

    public static final QueryOperator LIKE

Method Detail

### values

    public static QueryOperator[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (QueryOperator c : QueryOperator.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static QueryOperator valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getText

    public String getText()

  Returns:
    text

### forText

    public static QueryOperator forText(String text)

### iterator

    public static Iterator<QueryOperator> iterator()

  Return an iterator over all the operator enumeration literals.

  Returns:
    an immutable iterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.